void CreateStoryCharacters(ref n)
{
	int tmpNameFileID = LanguageOpenFile(GetStoryLineDir(FindStoryline("DevlinOpera")) + "characters_names.txt");
	object chobj;
	ref ch;

	makeref(ch, chobj);

	ch.old.name = "Mystery";
	ch.old.lastname = "Messenger";
	ch.name = LanguageConvertString(tmpNameFileID, "Mystery");
	ch.lastname = LanguageConvertString(tmpNameFileID, "Messenger");
	ch.id		= "Mystery Messenger";
	ch.model = "Chameleon";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "none";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = "Mystery Messenger_dialog.c";
	ch.greeting = "Gr_Marc Blacque";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "2";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "3";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
	AddGameCharacter(n, ch);

	ch.old.name = "";
	ch.old.lastname = "Brin Mistress";
	ch.name = LanguageConvertString(tmpNameFileID, "");
	ch.lastname = LanguageConvertString(tmpNameFileID, "Brin Mistress");
	ch.id		= "Brin Mistress";
	ch.model = "Liz2";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.location	= "Redmond_Residence";
	ch.location.group = "goto";
	ch.location.locator = "goto2";
	ch.Dialog.Filename = "Brin Mistress_dialog.c";
	ch.greeting = "Gr_Estrella";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "2";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "3";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
	AddGameCharacter(n, ch);

	ch.old.name = "Remy";
	ch.old.lastname = "Gatien";
	ch.name = TranslateString("","Remy");
	ch.lastname = TranslateString("","Gatien");
	ch.id		= "Remy Gatien";
	ch.nation	= FRANCE;
	ch.model	= "Shkiper";
	ch.act.rebirth = 0;
	ch.sex = "man";
// KK -->
	GiveItem2Character(ch, "blade25"); // was BLADE_SABER
	ch.equip.blade = "blade25";
	GiveItem2Character(ch, "pistol5+1"); // didn't have any pistol
	ch.equip.gun = "pistol5+1";
     //JRH ammo mod -->
	if (ENABLE_AMMOMOD) {	// LDH change
		TakenItems(ch, "gunpowder", 1 + rand(2));
		TakenItems(ch, "pistolbullets", 1 + rand(2));
	}
     //JRH ammo mod <--
// <-- KK
	ch.location	= "";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = " ";
	ch.rank 	= 8;
	ch.reputation = "70";
	ch.experience = "0";
	ch.skill.Leadership = "4";
	ch.skill.Fencing = "7";
	ch.skill.Sailing = "8";
	ch.skill.Accuracy = "8";
	ch.skill.Cannons = "6";
	ch.skill.Grappling = "3";
	ch.skill.Repair = "4";
	ch.skill.Defence = "6";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = QUEST_CHAR_MONEY; // PB
	ch.nosurrender = 2; // TIH: wont give up easily
	ch.Ship.Name = "Belette";
	ch.Ship.Type = "SuperiorWarship"; // Thomas the Terror
	ch.Ship.Stopped = true;
	// KNB ch.Ship.Cannons.Type = CANNON_TYPE_CANNON_LBS24;
	ch.ShipSlot1.Type=SHIP_NOTUSED;
	ch.ShipSlot1.Name="NoName";
	ch.ShipSlot2.Type=SHIP_NOTUSED;
	ch.ShipSlot2.Name="NoName";
	ch.ShipSlot3.Type=SHIP_NOTUSED;
	ch.ShipSlot3.Name="NoName";
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	ch.perks.list.BasicBattleState = true;
	ch.perks.list.AdvancedBattleState = true;
	ch.perks.list.ShipDefenseProfessional = true;
	ch.perks.list.StormProfessional = true;
	ch.questchar = true;//MAXIMUS: identifier for captives
	AddGameCharacter(n, ch);

	ch.old.name = "Remy";
	ch.old.lastname = "Gatien";
	ch.name = TranslateString("","Remy");
	ch.lastname = TranslateString("","Gatien");
	ch.id		= "Remy Gatien2";
	ch.nation	= FRANCE;
	ch.model	= "Shkiper";
	ch.act.rebirth = 0;
	ch.sex = "man";
// KK -->
	GiveItem2Character(ch, "blade25"); // was BLADE_SABER
	ch.equip.blade = "blade25";
	GiveItem2Character(ch, "pistol5+1"); // didn't have any pistol
	ch.equip.gun = "pistol5+1";
     //JRH ammo mod -->
	if (ENABLE_AMMOMOD) {	// LDH change
		TakenItems(ch, "gunpowder", 1 + rand(2));
		TakenItems(ch, "pistolbullets", 1 + rand(2));
	}
     //JRH ammo mod <--
// <-- KK
	ch.location	= "";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = " ";
	ch.rank 	= 8;
	ch.reputation = "70";
	ch.experience = "0";
	ch.skill.Leadership = "4";
	ch.skill.Fencing = "7";
	ch.skill.Sailing = "8";
	ch.skill.Accuracy = "8";
	ch.skill.Cannons = "6";
	ch.skill.Grappling = "3";
	ch.skill.Repair = "4";
	ch.skill.Defence = "6";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = QUEST_CHAR_MONEY; // PB
	ch.nosurrender = 2; // TIH: wont give up easily
	ch.Ship.Name = "Statek";
	ch.Ship.Type = "Frigate3"; // Thomas the Terror
	ch.Ship.Stopped = true;
	// KNB ch.Ship.Cannons.Type = CANNON_TYPE_CANNON_LBS24;
	ch.ShipSlot1.Type=SHIP_NOTUSED;
	ch.ShipSlot1.Name="NoName";
	ch.ShipSlot2.Type=SHIP_NOTUSED;
	ch.ShipSlot2.Name="NoName";
	ch.ShipSlot3.Type=SHIP_NOTUSED;
	ch.ShipSlot3.Name="NoName";
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	ch.perks.list.BasicBattleState = true;
	ch.perks.list.AdvancedBattleState = true;
	ch.perks.list.ShipDefenseProfessional = true;
	ch.perks.list.StormProfessional = true;
	ch.questchar = true;//MAXIMUS: identifier for captives
	AddGameCharacter(n, ch);

	LanguageCloseFile(tmpNameFileID);
}
